# Uses of Class
org.springframework.http.client.reactive.JdkHttpClientResourceFactory

Packages that use JdkHttpClientResourceFactory
Package
Description
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.

## Uses of JdkHttpClientResourceFactory in org.springframework.http.client.reactive

Constructors in org.springframework.http.client.reactive with parameters of type JdkHttpClientResourceFactory
Modifier
Constructor
Description
``
`JdkClientHttpConnector(HttpClient.Builder clientBuilder, JdkHttpClientResourceFactory resourceFactory)`
Constructor with a `JdkHttpClientResourceFactory` that provides shared resources.